<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Http\Requests\Sprava\Testovanie\Odpoved;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;
use Seka\Vzdelavanie\Enums\ModelStatusEnum;
use Seka\Vzdelavanie\Models\Testovanie\HodnotenieOdpovedeEnum;

/**
 * Class OdpovedStoreRequest
 *
 * @package Seka\Vzdelavanie\Http\Requests\Sprava\Testovanie\Odpoved
 */
final class OdpovedStoreRequest extends FormRequest
{
    /**
     * @return array
     */
    public function rules(): array
    {
        return [
            'znenie' => 'required|min:10|max:8192',
            'stav' => [
                'required',
                Rule::enum(ModelStatusEnum::class),
            ],
            'hodnotenie' => [
                'required',
                Rule::enum(HodnotenieOdpovedeEnum::class),
            ],
        ];
    }
}
